Revert to commit
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/revert_to_commit_workspace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/revert_to_commit_workspace"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/revert_to_commit_workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
Revert to commit
The operation gets the file version in the specific commit and applies it to the workspace. Changes are the saved to the workspace.
POST
/
repos
/
{repo_id}
/
revert_to_commit_workspace
Revert to commit
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
The workspace ID to revert to
The commit ID to revert to
Response
The revert was completed successfully
⌘I

